# Animation Window Overview
The Animation window is where you can configure an effect to be exported to a sprite sheet, animation strip or a sequence of separate images.

## The Tool Bar
![Animation Toolbar](docs/images/animation_toolbar.png)
Use the tool bar to access all the settings to frame the effect as you need for the export.

![Animation Settings](docs/images/animation_settings_icon.png)
Click the icon to open a pop up with various settings you can use to tweak the animation to your liking. The settings will vary slightly depending on whether you're editing a 3d effect or a 2d effect.

[Click here for effect animation settings](help_animation_settings)

![Animation Zoom](docs/images/animation_zoom_icon.png)
The zoom icon opens up a pop up where you can zoom in and out of the animation frame.

![Animation Autofit](docs/images/animation_autofit_icon.png)
Clicking this button with autofit the animation within the frame of the animation. Note that this is currently only available for 2d effects.

![Animation Rerecord](docs/images/animation_rerecord_icon.png)
Sometimes after making changes to the effect, emitter or particle attributes you might need to re-record the effect which you can do by clicking this icon.

![Animation Frame](docs/images/animation_frame.png)
Here you can see the current frame being show. Use the slider to scrub though the frames of animation and press the Play/Pause button to play the animation.

![Animation Export](docs/images/animation_export_icon.png)
In order to save your animation click the export icon and use the options to decide how you want to save the animation.

[Click here for animation export options](help_animation_export)
