# Graph Nodes
Each node on a graph represents what value the particular attribute should be at that point in time, whether it's the time since the emitter was created or the percentage time of a particles life before it expires.

![Graph Node](docs/images/graph_node.png)

To add new nodes on the graph you simply click on the graph, and then you can drag the node about to put in position. The current value and time values will show in a tool tip while you do this.

By right clicking on a node you can access some further options.

![Graph Node Options](docs/images/graph_node_options.png)

### Delete Node
Deletes the node from the graph.

### Curve
This toggles the node from having curve nodes or not. A node that uses curves will be rounded and you can click and drag the curve handles to alter the curve of the node.

### Value Axis
This input field allows you to manually enter the value of the node manually if you need to be more precise.

### Time Axis
This input field allows you to manually enter the time position of the node manually if you need to be more precise.

### Match to Start Node
This sets the value of the node to equal whatever the value is of the first node of the graph. This can be useful if the graph is being looped over and you want a smooth transition from the end to the start of the loop.

### Clear Graph
Deletes all the nodes on the graph and creates the default node at 0, 0.
