# Editing Multiline Graphs
The following attribute graphs are considered multiliine graphs, where you can see the axis of each line all on the same graph.

  * Effect Rotation
  * Effect Translation
  * Emitter Rotation
  * Emitter Translation
  * Emitter Emission (Pitch and Yaw)

![Multiline Graph](docs/images/graph_multiline.png)
On a multiline graph you will see all lines which will represent either the X, Y and Z coordinates of a translation attribute or the pitch, yaw and roll for rotation and emission attributes.

![Multiline Graph Axid](docs/images/graph_multiline_axis.png)
When you hover over a node of any line on the graph then if that line is not the currently focused graph then it will switch to be the currently edited line and the X, Y and Z buttons on the toolbar will also be switched automatically. You can also just click the buttons to switch to each line as well.

When you right click on a node you will get a few different options specific to multiline graphs.

![Multiline Graph Menu](docs/images/graph_multiline_menu.png)

### Clear Highlighted Graph
Removes all the nodes on the currently highlighted graph line.

### Clear All
Removes all the nodes for all graph axis.

### Copy Highlighted to Others
Copies all the nodes on the currently highlighted graph line to the other 1 or 2 lines on the graph. The nodes in the other lines will be replace.
