# History Window
![history](docs/images/history.png)
Every time you make changes to an effect the change will be recorded and listed in the history window. Every effect has it's own unique history queue.

Each history item has 2 buttons next it.

![History preview](docs/images/history_preview.png)
Clicking this button will preview this version of the effect in the preview window so you can see what the effect looked like before reverting back to it.

![History create](docs/images/history_create.png)
Use this button to create a new effect from this version of the history. This is useful if you like a history version and would like to branch it off in a new effect for further development.

To revert back to a previous version just click on the revision in the list.

![History revert](docs/images/history_revert.png)
After doing so any revisions that come after will be greyed out. You can continue to click on next or previous revisions to revert to where you want to but note that once you make a new change after reverting all of the revisions that come after will be deleted. Use the + button to create a new version of the effect at that point if you want to essentially create a new branch of the effect instead.

Note that selecting Undo from the Edit menu will revert back through the history list one by one for which ever effect you currently have selected.
