# Particle Behaviour Overtime
With the particle behaviour attributes you can control how the particle acts over the life time of the emitter and the lifetime of the particles themselves.
![Particle Behaviour Overtime](docs/images/particle_behaviour_overtime.png)
As with the emitter and effect attributes you can access each graph of the particle attribute by clicking the Ellipsis next to the input.

Most particle attributes consist of 3 types of attributes; base, variation and overtime. Base and variation attributes are added together at spawn time for each particle to provide the particle with a base value that is then scaled using the Overtime attribute.

So for example you may have a *Base Velocity* of 10 and a *Velocity Variation* of 10 which would provide the particle with a base velocity of 10 + Random(10). Then over the lifetime of the particle the *Velocity Overtime* graph would be sampled and used to scale that base velocity value that was calculted at spawn time.

The Base and Variation values can change over time according to the age of the emitter from when it was created and will be sampled everytime particles are spawned.
