## Particle Noise
Particle noise is a series of graphs that you can use to apply random motion to a particle using the noise algorithm "Simplex Noise". Simplex noise can add overhead to effects if you was many particles but obviously that isn't an issue if you're planning to bake the sprite data using the *Sprite Data Export* window.

It's recommended to just play with the different values and get a feel for how they work.

### Base Noise Offset
The way that simplex noise works is that it takes the current position of the particle and uses that to sample a value in a noise field. The *Base Noise Offset* graph offsets this sample coordinate so that over the age of the emitter you can make each particle sample from a different position increasing the randomness.

### Base Noise Offset
Applying a value here will add a variation to the *Base Noise Offset*. This means that the higher the value you have on the graph here the more random the movement will be. Lower numbers and 0 will be more uniform movement where particles will "flock" more.

### Noise Resolution
The noise resolution graph will detemine how large a cell is that noise is sampled from. When noise is sampled based on the particle coordinates it when it samples outside the cell it essentually loops back to the opposite side of the cell. This means that the noise resolution how often the noise patterns repeat as the particles sample the cells, so a smaller resolution mean that the particles will change direction more rapidly and a larger resolution will mean the opposite.

### Velocity Turbulance
This will affect how fast the particle moves according to it's base noise values and resolution. Higher numbers will make the particle travel through the noise field more rapidly and appear more turbulent.

### Noise Resolution Overtime
Scale the noise resolution of the particle overtime. This will simply take the *Noise Resolution* of the particle set at spawn time and scale it by this value.
