## Particle Velocity
Control how fast the particles change position. The direction of travel is determined by a number of other properties, they are:

  * **Emission Direction**: Found under *Emitter Attributes Overtime* and also under *Emitter Emission Type*.
  * **Emission Type**: Found under *Emitter Emission Type*.
  * **Relative Position**: Found under *Spawn Options*. This option makes the particle rotate and position with the effect and emitter.
  * **Emitter Rotation** and **Effect Rotation**: Found under *Emitter Attributes Overtime* and *Effect Attributes Overtime*. The direction that the effect and emitter is rotated will affect the emission direction.
  * **Particle Weigth**: Found under *Particle Behaviour* and will make the particle move upwards or downwards depending on it's weight value. The weight applies it's own velocity though which is combined with the velocity values.
  * **Noise**: Found under *Particle Behaviour Overtime*. Noise will add random movement to particles.

### Base Velocity
The base speed of the particle that is applied when the particle is spawned. This value will be sampled from the graph based on the age of the emitter. In 2D this is measured in pixels per second and in 3D this in 3D units per second.

### Velocity Variation
The amount to vary the speed of the particle. This will be sampled when the particle is spawned based on the aged of the emitter and added to the *Base Velocity* value which the particle will use with *Velocity Overtime* to scale the velocity over it's lifetime.

### Velocity Overtime
Every frame that the particle is updated will be scaled by the velocity overtime which is a percent value that is multiplied with the base value applied to the particle at spawn time. By drawing on the *Velocity Overtime* graph you can make the particle accellerate and deccellerate as you need.

### Velocity Adjuster
This is actually an emitter attribute overtime that scales all particle velocities in the emitter based on the age of the emitter and gives a different way of manipulating the velocity of particles in a more global way.
