## Particle Weight
Particle Weight values will cause the particle to move upwards with negative values and downwards with positive values.

Note that if the *Relative Position* property (located under *Spawn Options*) then upwards and downwards will be relative to the current rotation of the effect and emitter.

### Base Weight
The base weight of the particle that is sampled when the particle is spawned based on the age of the emitter. *Base Weight* values can be negative or positive.

### Weight Variation
The amount to vary the weight by. Unlike *Base Weight* this is a positive value only and will be added to the base value to create the base weight for each particle that is spawned. For example if you wanted weight to range between -20 and 20 then you would set the *Base Weight* to - 20 and the *Weight Variation* to 40.

### Weight Overtime
Every frame that the particle is updated will be scaled by the weigth overtime which is a percent value that is multiplied with the base value applied to the particle at spawn time. By drawing on the *Weight Overtime* graph you can make the particle accellerate or deccellerate upwards or downwards.
