## Spawn Rate
Spawn will dictate the rate at which particles will be spawned by emitters but it will also depend on whether *Single* is selected under *Spawn Options*

### Spawn Rate with Single checked
When *Single* is checked then there is no graph to sample from as all particles are spawned when the emitter is created (or after a delay if there is a value in *Delay Spawning* under *Spawn Options*.

Set the Single Spawn Amount value to set how many particles to spawn in one go. If you want to vary the amount of particles that you want to spawn then also add a value to *Spawn Rate Variation* which will add a random amount on to the *Single Spawn Amount* value.

### Spawn Rate when Single is not checked
When *Single* is not checked then the *Base Spawn Rate* will be how many particles are spawned every second. This number can be changed over the lifetime of the emitter and also be made to vary as well using the *Spawn Rate Variation* graph.
