# Animation Export

![Animation Export Settings](docs/images/animation_export_settings.png)

The animation export settings contains the following options for exporting your effect.

## Color Options
There 3 color options:

### Full Color
Select this to simply export the effect as you see it in the preview.

### One Color Alpha
This option will convert all color channels to white and leave the transparency channel as it is.

### Greyscale
This will convert the colors to greyscale. Both this and one color alpha are useful if you plan on tinting the animation a specific color when you come to use it in your game or other application.

## Save As
There are also 3 ways you can export the animation:

### Sprite Sheet
Exports the animation as a sprite sheet where each frame is organised into rows and columns.

### Animation Strip
Exports the animation into a single row of animation frames.

### Separate Images
Saves each frame separately as individual images. The frame number is appended to each image saved.

## Transparency
Check this to export the animatino with an alpha channel, otherwise the animation will be exported onto a black background.

## Export
Click the export button to open a file dialogue where you can choose where to save the animation. Currently animations can only be saved as PNGs but more formats will be supported in the future.

