# 3D Camera Settings
When editing a 3D effect the camera settings will change to give you more options about how you want to position the camera.

Click the camera icon on the toolbar to access the camera settings.

![3D camera settings](docs/images/3d_camera_settings.png)

### Isometric View
Check this option to switch to Isometric mode for the camera which removes perspective from the scene.

### Field of View
Adjust the field of view to change the range of vision that you will see around the camera. Higher values will result in a more fish eye lense effect. Note that in isometric mode this option changes to *Zoom* and zooms in and out of the scene instead.

### Position
Adjusts the X, Y and Z coordinates of the camera.

### Pitch and Yaw
Adjust the pitch and yaw of the camera to rotate it.

### Camera Speed
Adjust how fast the camera moves in first person mode (when you hold right mouse button on the preview window).

### Effect Z Offset
Sets the distance from the camera to place the effect when you left click in the preview to play the effect.

### Floor Height
Adjust the checkered floor height in the scene as long as *Hide Floor* isn't checked.

### Hide Floor
Check to hide the floor in the sceen.

### Attach Effect to Camera
This will position the effect on the camera and also move with the camera when the camera moves. This can be also for testing area effects like snow and rain etc., but you might beed to slow the camera speed with the *Camera Speed* setting.

### Draw Outlines
Draws the bounding box of the emitters based on the emitter size when area effects are used.

### Mouse Sensitivity
Adjust the mouse sensitivity when in first person mode (when you hold right mouse button on the preview window).

### Reset Defaults
Resest the camera position back to the default settings for the camera.

### Copy/Paste
You can copy and paste the camera settings to any other effect that you want using these icons. You can also copy and past to the Animation and Sprite Data Tab windows as well.
