# The Graph Toolbar
![Graph toolbar](docs/images/graph_toolbar.png)
The graph toolbar allows you to perform some graph alterations as detailed below.

![Graph reset](docs/images/graph_reset.png)
Resets the graph by removing all nodes and placing the first default node at 0, 0 on the graph.

![Graph preset](docs/images/graph_preset.png)
Opens a pop up where you can select from a list of simple graph presets:

![Graph Waves](docs/images/graph_wave.png)
These icons open up the option to create a sine or square wave on the graph. Note that the current nodes on the graph will be deleted. [Read more about using Sine/Sqaure waves here](help_graph_waves).

![Graph Pan and Zoom](docs/images/graph_pan_zoom.png)
You can use these icons to pan and zoom on the graph. Just click and drag on each icon and both axis of the graph can be either panned or zoomed by moving the mouse about while you hold down the left mouse button.

![Graph Axis](docs/images/graph_axis.png)
When editing a graph that has other closely related transform graphs such as Rotation, Translation and Emission Angle you can axis those graphs by clicking this icons to switch between them.

As you edit each axis on the graph you will notice that each line from the other graphs will be visible but more faint on the graphs. [See multi line graphs](help_multi_line_graphs) for more info.

![Graph Copy and Paste](docs/images/graph_copypaste.png)
Use the copy and paste icons to copy graph data to another emitter. You can also click and drag the copy icon onto another emitter for a more convenient way of doing it. Note that only graphs that are the same or similar can be copied between each other.
