# Particle Image
Under this property section you can change the image used to draw the particle.
![Particle Image](docs/images/particle_image.png)
### Center Image
Check this option to center the handle of the image. When not checked you can manually adjust the origin of the image to draw using the Image xy drag floats or by clicking on the image in the properties. A red dot will appear on the image showing where the handle is.

### ... Select another image
Click the ellipsis button to select another shape to be assigned to the emitter. A pop up window will open where you can either load in another shape or select from the shapes already loaded in the library.
![Particle Image](docs/images/shape_popup.png)
[See the shape tab section for more info about loading in shapes](help_shape_window)

### Start Frame
If you're using an image with more than 1 frame of animation then you can use this field to select what the start frame should be.

### Animate
Checking this option with make the particle animate if you're using an image with more than one frame of animation.

### Playonce
If animating then once the image reaches the last frame it will stop animating

### Random Start Frame
Make the image select a random frame to start from.

### Reverse Animation
Checking this will make the animated image play in reverse.

### Frames Per Second
Alter the value here to change how fast the particle shape will animate. The *Animate* checkbox must be checked for this to have any effect.

