# Anatomy of an Effect
Creating particle effects in TimelineFX is essentially a process of creating emitters, assigning properties to those emitters that affect how they spawn particles and then adjusting behaviour attributes for the particles that dictate how the particle will look and move over it's lifetime.

Each particle that is spawned is alive for a specific amount of time determined by you by adjusting it's lifetime attributes. In that time it will be assigned certain looks and behaviours that you configure using graphs. When particles are drawn they are simple sprites consisting of 2 triangles each that draw an image which can be either static or an animated image ([Learn more about particle shapes](help_shapes)).

All emitters are contained within an effect which is used to control some aspects of the emitter and particle behaviour. For example you can change the size of particles globally overtime using the effect attributes.
