# Changing the Background
Under the settings menu you will find options for changing the background color and image.

## Background Color
Under this menu you can change the background tint of the preview, animation and sprite data export windows. Simply select the color you want from the color picker.

## Background Image
Here you can choose a background image if you would like to see how the particles look on different backgrounds. Note that currently this only applies to 2d effects, in the future we will add different skybox options for 3d effects.

There are a few additional options here:

### Use Checker Background
Check this to use a checkerboard background in the preview window for 2d effects. This will be tinted by the current background color.

### Use Background Image
Check this to toggle the currently loaded background image on or off

### Load Background Image
Select this to locate a background image that you can load in and use for 2d effects.

### Background Image Tint
A color picker you can use to tint the background color with. This is a separately stored color to the normal backround color when not using a background image.

### Background Scale
Scale the X and Y dimensions of the background image.

### Background Offset
Offset the X and Y position of the background image.

