# General Settings
Under the settings menu you can change various options in the editor such as the preview background color, font scaling and more.

### Font Scale
Adjust the scale of the font in the interface here, especially useful for high DPI monitors.

### Layouts
Choose from some standard layouts. You can move any of the windows about that you like and resize/dock them where ever you prefer, the positions will be saved when you exit the editor.

### Update Mode
Update modes configure the rate at which particle effects are updated. You can change between fixed rate updates at 30 and 60 fps, or you can use delta time which will update as often as it can. Performance can vary here, I actually find that delta time can perform better then fixed rate.

### Auto Play Effect
Choose how often you want the effect you're preview to automatically replaying. Replaying can effect can be useful for finite effects ie., effects that last for a short time and finish. This means that you can replay the effect without having to manually click the effect or preview window again.

### Only Play Selected Emitter
Toggle this to only play the emitter that is currently selected in the library list. This can be useful if you're trying to tweak an emitter and you don't want the other emitters play to interfere.

### Preview Trail Mode
Toggle this option to automatically move the effect about the preview window which is useful when you're working on effects like smoke trails so that you don't have to keep move the effect about yourself while you're tweaking attributes and properties.

### Pause
Pause the preview window. Keyboard short P will also pause on and off.

### Sync Refresh Rate
When this is toggled, the editor will only be rendered when the monitor refreshes.

### Show Tool Tips
This will show a tool tip whenever you hover over an item in the editor. Very useful if you're new to the editor and learning what everything does.

### Use Texture Filtering
If for some reason you would like to render the particles with no texture filtering so that the appear more crisper you can do that here. With texture filtering switched on particle textures will sample from lower resolution mipmaps of the texture when the particle is small or far away. This improves performance and in many cases visual quality too.

