# Managing Particle Shapes
The Shapes window is where you can manage all the shapes that are loaded into the current library.

![Shapes window](docs/images/shapes.png)
All of the shapes currently loaded for the library are listed. Hovering the mouse over each shape will reveal a few details about the shape. 

If the shape is animated then hovering over the shape will also scrub over the frames of animation.
![Shapes hover](docs/images/shapes_hover.png)

When you have an emitter selected in the library you can left click any shape in the list to assign it the the emitter.

Right click on a shape to open a context menu.

![Shapes context menu](docs/images/shapes_menu.png)

### Add New Effect To Library
Adds a new effect preset to the library and assigns the shape to the emitter in the effect.

### Add Emitter
When you have an effect selected in the library then you can use this to add a new emitter to the effect and assign the shape to it.

### Delete Shape
Deletes the shape from the library. Any emitters that are currently using the shape will be reassigned the default shape.

### Clear Unused Shapes
Any shapes that are not being used by any emitters in the library will be deleted.

## Load a New Shape
Click the load button to load a new shape. [Read more about loading a new shape](help_shapes_loading).

