# Loading a new shape
After clicking load in the shape window select the shape you want to load from the file dialogue.

Once you've loaded the shape a dialogue will appear where you can configure how the shape will be loaded.

![Shapes context menu](docs/images/shapes_load.png)

If the shape is a sequence of animation frames then you can use the inputs to define the frame size and number of frames.

### Frame Width/Height
Set the frames width and height in pixels. You can use the +/- buttons to increase/decrease the frame sizes in powers of 2. As you change the values you will see the red line in the preview adjust to reflect the changes.

### Frame Count
Set the number of frames in the animation. The red outline in the preview should line up with the images correctly.

### Convert to White
If you're loading in a shape that is colored or greyscale then you will see an extra option.

![Shapes context menu](docs/images/shapes_convert_to_white.png)
Check this option to make all color channels white which can make alpha blended particles look smoother and less textured. Leave unchecked to import as is.

If you try and load the shape with the frame size and count too large for the shape then you will be able to load the shape.

Once ready, simply click OK to import the shape.

